import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/ledger/account.dart';

part 'accounts.g.dart';


@JsonSerializable(explicitToJson: true)
class LedgerAccountsResponse {
  final List<LedgerAccountDTO> accounts;

  const LedgerAccountsResponse({required this.accounts});

  factory LedgerAccountsResponse.fromJson(Map<String, dynamic> json) => _$LedgerAccountsResponseFromJson(json);
  Map<String, dynamic> toJson() => _$LedgerAccountsResponseToJson(this);
}
